> ## Documentation Index
> Fetch the complete documentation index at: https://docs.subotiz.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update subscription fixed term

> Update subscription fixed term



## OpenAPI

````yaml openapi/v1-en.yaml POST /api/v1/subscription/{subscription_id}/update/fixed_term
openapi: 3.0.3
info:
  title: Subotiz API
  description: Subotiz OpenAPI
  version: 1.0.0
servers:
  - url: https://{api}.subotiz.com
    variables:
      api:
        default: api
security:
  - sec0: []
tags:
  - name: Subscription
    description: Subscription
  - name: Price
    description: Price
  - name: Trade
    description: Trade
  - name: Payment
    description: Payment
  - name: Checkout Session
    description: Checkout Session
  - name: Customer
    description: Customer
  - name: Customer Portal
    description: Customer Portal
paths:
  /api/v1/subscription/{subscription_id}/update/fixed_term:
    post:
      tags:
        - Subscription
      summary: Update subscription fixed term
      description: Update subscription fixed term
      operationId: v1-subscription-update-subscription-fixed-term
      parameters:
        - name: subscription_id
          in: path
          description: Subscription identifier
          required: true
          schema:
            type: string
        - $ref: '#/components/parameters/HeaderRequestID'
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateSubscriptionFixedTermRequest'
        required: true
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UpdateSubscriptionFixedTermResponse'
        '422':
          description: merchant_id is required
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BaseResponse'
              example:
                code: InvalidParameter
                message: merchant_id is required.
components:
  parameters:
    HeaderRequestID:
      name: Request-Id
      in: header
      description: The unique identifier of the request
      required: true
      schema:
        type: string
        default: 008e3967-a1b5-48bb-be14-d5bff5092e61
  schemas:
    UpdateSubscriptionFixedTermRequest:
      type: object
      properties:
        subscription_id:
          type: string
          description: Subscription identifier
        merchant_id:
          type: string
          description: Merchant identifier
        fixed_term:
          type: integer
          description: Fixed-term subscription length
          format: int32
        is_renewable:
          type: boolean
          description: Whether it can be converted to a continuous subscription
    UpdateSubscriptionFixedTermResponse:
      type: object
      properties:
        code:
          type: string
          description: error code
        message:
          type: string
          description: error message
        data:
          $ref: '#/components/schemas/UpdateSubscriptionFixedTermResponse_Data'
    BaseResponse:
      type: object
      properties:
        code:
          type: string
          description: error code
        message:
          type: string
          description: error message
    UpdateSubscriptionFixedTermResponse_Data:
      type: object
      properties: {}
  securitySchemes:
    sec0:
      type: http
      description: >-
        Bearer API Key authentication. Format: Authorization: Bearer
        {your_api_key}
      scheme: bearer

````